// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
var docmanager_1 = require('jupyter-js-ui/lib/docmanager');
/**
 * The default document registry provider.
 */
exports.docRegistryProvider = {
    id: 'jupyter.services.document-registry',
    provides: docmanager_1.DocumentRegistry,
    resolve: function () {
        var registry = new docmanager_1.DocumentRegistry();
        registry.registerModelFactory(new docmanager_1.TextModelFactory());
        registry.registerModelFactory(new docmanager_1.Base64ModelFactory());
        return registry;
    }
};
