// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
var docmanager_1 = require('jupyter-js-ui/lib/docmanager');
/**
 * The editor handler extension.
 */
exports.editorHandlerExtension = {
    id: 'jupyter.extensions.editorHandler',
    requires: [docmanager_1.DocumentRegistry],
    activate: function (app, registry) {
        registry.registerWidgetFactory(new docmanager_1.EditorWidgetFactory(), {
            fileExtensions: ['.*'],
            displayName: 'Editor',
            modelName: 'text',
            defaultFor: ['.*'],
            preferKernel: false,
            canStartKernel: false
        });
    }
};
