// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
var docmanager_1 = require('jupyter-js-ui/lib/docmanager');
/**
 * The list of file extensions for images.
 */
var EXTENSIONS = ['.png', '.gif', '.jpeg', '.jpg', '.svg', '.bmp', '.ico',
    '.xbm', '.tiff', '.tif'];
/**
 * The image file handler extension.
 */
exports.imageHandlerExtension = {
    id: 'jupyter.extensions.imageHandler',
    requires: [docmanager_1.DocumentRegistry],
    activate: function (app, registry) {
        registry.registerWidgetFactory(new docmanager_1.ImageWidgetFactory(), {
            fileExtensions: EXTENSIONS,
            displayName: 'Image',
            modelName: 'base64',
            defaultFor: EXTENSIONS,
            preferKernel: false,
            canStartKernel: false
        });
    }
};
