// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
var rendermime_1 = require('jupyter-js-ui/lib/rendermime');
var renderers_1 = require('jupyter-js-ui/lib/renderers');
/**
 * The default rendermime provider.
 */
exports.renderMimeProvider = {
    id: 'jupyter.services.rendermime',
    provides: rendermime_1.RenderMime,
    resolve: function () {
        var transformers = [
            new renderers_1.JavascriptRenderer(),
            new renderers_1.MarkdownRenderer(),
            new renderers_1.HTMLRenderer(),
            new renderers_1.ImageRenderer(),
            new renderers_1.SVGRenderer(),
            new renderers_1.LatexRenderer(),
            new renderers_1.TextRenderer()
        ];
        var renderers = {};
        var order = [];
        for (var _i = 0, transformers_1 = transformers; _i < transformers_1.length; _i++) {
            var t = transformers_1[_i];
            for (var _a = 0, _b = t.mimetypes; _a < _b.length; _a++) {
                var m = _b[_a];
                renderers[m] = t;
                order.push(m);
            }
        }
        return new rendermime_1.RenderMime(renderers, order);
    }
};
