// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
'use strict';
var terminal_1 = require('jupyter-js-ui/lib/terminal');
var phosphor_tabs_1 = require('phosphor-tabs');
/**
 * The default terminal extension.
 */
exports.terminalExtension = {
    id: 'jupyter.extensions.terminal',
    activate: activateTerminal
};
function activateTerminal(app) {
    var newTerminalId = 'terminal:create-new';
    app.commands.add([{
            id: newTerminalId,
            handler: function () {
                var term = new terminal_1.TerminalWidget();
                term.color = 'black';
                term.background = 'white';
                term.title.closable = true;
                app.shell.addToMainArea(term);
                var stack = term.parent;
                if (!stack) {
                    return;
                }
                var tabs = stack.parent;
                if (tabs instanceof phosphor_tabs_1.TabPanel) {
                    tabs.currentWidget = term;
                }
            }
        }]);
    app.palette.add([
        {
            command: newTerminalId,
            category: 'Terminal',
            text: 'New Terminal',
            caption: 'Start a new terminal session'
        }
    ]);
    return Promise.resolve(void 0);
}
