import { IWidgetExtension, IDocumentContext, IDocumentModel, DocumentRegistry } from 'jupyter-js-ui/lib/docmanager';
import { IDisposable } from 'phosphor-disposable';
import { NotebookPanel } from 'jupyter-js-notebook/lib/notebook/panel';
import { Application } from 'phosphide/lib/core/application';
/**
 * The widget manager provider.
 */
export declare const widgetManagerExtension: {
    id: string;
    requires: typeof DocumentRegistry[];
    activate: (app: Application, registry: DocumentRegistry) => void;
};
export declare class IPyWidgetExtension implements IWidgetExtension<NotebookPanel> {
    /**
     * Create a new extension object.
     */
    createNew(nb: NotebookPanel, model: IDocumentModel, context: IDocumentContext): IDisposable;
}
